package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesQueueOrderPush;
import cn.estsh.i3plus.pojo.mes.bean.MesQueueOrderPushCellCfg;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesQueueOrderPushService {

    @ApiOperation(value = "根据生产线代码,工位代码查询生产队列推送工位配置信息")
    List<MesQueueOrderPushCellCfg> getQueueOrderPushCellCfgList(String organizeCode, String workCenterCode, String workCellCode);

    @ApiOperation(value = "根据生产线代码查询生产队列推送工位配置信息")
    List<MesQueueOrderPushCellCfg> getQueueOrderPushCellCfgList(String organizeCode, String workCenterCode);

    //递增步长10,取整10位; 例如:查询=10 >> 返回=20 ;  查询=29 >> 返回=30
    @ApiOperation(value = "获取当前工单对应的工位推单队列中最大的顺序号")
    Integer getQueueOrderPushMaxSeq(String organizeCode, String workOrderNo);

    @ApiOperation(value = "写入工位工单推送信息")
    void insertQueueOrderPush(String organizeCode, String userInfo, MesProduceSn produceSn, List<MesQueueOrderPushCellCfg> queueOrderPushCellCfgList);

    @ApiOperation(value = "根据配置查询生产队列工位推送信息")
    List<MesQueueOrderPush> getQueueOrderPushList(String organizeCode, List<MesQueueOrderPushCellCfg> queueOrderPushCellCfgList);

}
